<?php
//namespace nego\application\models\huellas;

class Entradas
{
    private $clave;
    public $fecha;
    public $claveEmpleado;
    public $horaEntrada;
    public $entrada;
    public $destino;
    public $horaSComida;
    public $horaEComida;
    public $horaSalida;
    public $bandera;
    public $totalHoras;
    
    public function __get($name)
    {
        if (isset($this->$name))
        {
            return $this->$name;
        }
    }
    public function __set($name, $value)
    {
        if (isset($this->$name))
        {
            $this->$name = $value;
        }
    }
    
    public function getClave()
    {
        return $this->clave;
    }

    public function getFecha()
    {
        return $this->fecha;
    }

    public function getClaveEmpleado()
    {
        return $this->claveEmpleado;
    }

    public function getHoraEntrada()
    {
        return $this->horaEntrada;
    }

    public function getEntrada()
    {
        return $this->entrada;
    }

    public function getDestino()
    {
        return $this->destino;
    }

    public function getHoraSComida()
    {
        return $this->horaSComida;
    }

    public function getHoraEComida()
    {
        return $this->horaEComida;
    }

    public function getHoraSalida()
    {
        return $this->horaSalida;
    }

    public function getBandera()
    {
        return $this->bandera;
    }

    public function getTotalHoras()
    {
        return $this->totalHoras;
    }

    public function setClave($clave)
    {
        $this->clave = $clave;
    }

    public function setFecha($fecha)
    {
        $this->fecha = $fecha;
    }

    public function setClaveEmpleado($claveEmpleado)
    {
        $this->claveEmpleado = $claveEmpleado;
    }

    public function setHoraEntrada($horaEntrada)
    {
        $this->horaEntrada = $horaEntrada;
    }

    public function setEntrada($entrada)
    {
        $this->entrada = $entrada;
    }

    public function setDestino($destino)
    {
        $this->destino = $destino;
    }

    public function setHoraSComida($horaSComida)
    {
        $this->horaSComida = $horaSComida;
    }

    public function setHoraEComida($horaEComida)
    {
        $this->horaEComida = $horaEComida;
    }

    public function setHoraSalida($horaSalida)
    {
        $this->horaSalida = $horaSalida;
    }

    public function setBandera($bandera)
    {
        $this->bandera = $bandera;
    }

    public function setTotalHoras($totalHoras)
    {
        $this->totalHoras = $totalHoras;
    }    
}

